#pragma once
#include "filtering/commonDefines.h"

#include <optional>
#include <gdcmDataSet.h>
#include <gdcmUIDGenerator.h>

namespace PETFilter
{

bool loadDicomImage(const std::string& fileName, int& width, int& height, int& channels, 
	vec3& origin, vec3 directions[2], vec3& spacing, float& slope, float& intercept,
	std::vector<float>& data);
bool loadDicomDir(const std::string& fileName);

struct DicomImageDesc
{
	int width{ 0 };
	int height{ 0 };
	int channels{ 1 };
	double origin[3]{ 0, 0, 0 };
	double spacing[3]{ 0, 0, 0 };
	float slope{ 1.0f };
	float intercept{ 0.0f };
	int slice{ 0 };
};

bool saveDicomImage(const std::string& fileName, int width, int height, int channels, const std::vector<uint16_t>& data, const std::string& referenceFileName);
bool saveDicomImage(const std::string& fileName, const std::vector<uint16_t>& data, const DicomImageDesc& desc, const std::optional<gdcm::DataSet> refDicomDS = {});

std::optional<gdcm::DataSet> getDataSet(const std::string& fileName);
}
